/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef UTILS_H
#define UTILS_H

/**
  *@author Henning Burchardt
  */

struct FormattedValue
{
	QString valueString;
	QString unitString;
};

class Utils
{
public:
	static struct FormattedValue getFormattedBytes( double bytes );
	static struct FormattedValue getFormattedBits( double bytes );
	static struct FormattedValue getFormattedPackets( double packets );
private:
	Utils() {}
	
	static QString getNormalizedValueString( double value );
};

#endif
