#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './prefsdialog.ui'
**
** Created: Thu Nov 15 12:51:02 2001
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "prefsdialog.h"

#include <kcolorbutton.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a PrefsDialog which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
PrefsDialog::PrefsDialog( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "PrefsDialog" );
    resize( 370, 441 ); 
    setCaption( i18n( "Preferences" ) );
    setSizeGripEnabled( TRUE );
    QToolTip::add(  this, QString::null );
    QWhatsThis::add(  this, QString::null );
    PrefsDialogLayout = new QVBoxLayout( this ); 
    PrefsDialogLayout->setSpacing( 6 );
    PrefsDialogLayout->setMargin( 11 );

    tabWidget = new QTabWidget( this, "tabWidget" );

    generalTab = new QWidget( tabWidget, "generalTab" );

    general_refreshTimeLabel = new QLabel( generalTab, "general_refreshTimeLabel" );
    general_refreshTimeLabel->setGeometry( QRect( 10, 20, 200, 20 ) ); 
    general_refreshTimeLabel->setText( i18n( "Refresh time" ) );
    QToolTip::add(  general_refreshTimeLabel, i18n( "Refresh time (in milliseconds)" ) );
    QWhatsThis::add(  general_refreshTimeLabel, i18n( "<b>Refresh time</b>\n"
"<p>\n"
"The refresh time determines how often diagrams and stats are updated. You can select one of the proposed values or edit the field manually.\n"
"</p>" ) );

    general_smoothFactorLabel = new QLabel( generalTab, "general_smoothFactorLabel" );
    general_smoothFactorLabel->setGeometry( QRect( 10, 50, 200, 20 ) ); 
    general_smoothFactorLabel->setText( i18n( "Smooth factor" ) );
    QToolTip::add(  general_smoothFactorLabel, i18n( "Smooth factor" ) );
    QWhatsThis::add(  general_smoothFactorLabel, i18n( "<b>Smooth factor</b>\n"
"<p>\n"
"A smooth factor of <b>n</b> means that the last <b>n</b> traffic values are averaged. With a high <b>n</b> the graphs look smoother. You can choose one of the values in the combo box or select a custom value.\n"
"</p>" ) );

    general_refreshTimeComboBox = new QComboBox( FALSE, generalTab, "general_refreshTimeComboBox" );
    general_refreshTimeComboBox->setGeometry( QRect( 240, 20, 88, 22 ) ); 
    general_refreshTimeComboBox->setEditable( TRUE );

    general_smoothFactorComboBox = new QComboBox( FALSE, generalTab, "general_smoothFactorComboBox" );
    general_smoothFactorComboBox->setGeometry( QRect( 240, 50, 88, 22 ) ); 
    general_smoothFactorComboBox->setEditable( TRUE );

    general_colorButtonGroup = new QGroupBox( generalTab, "general_colorButtonGroup" );
    general_colorButtonGroup->setGeometry( QRect( 10, 150, 330, 100 ) ); 
    general_colorButtonGroup->setTitle( i18n( "Colors" ) );
    QToolTip::add(  general_colorButtonGroup, i18n( "Colors" ) );
    QWhatsThis::add(  general_colorButtonGroup, i18n( "<b>Colors</b>\n"
"<p>\n"
"Set the colors for incoming and outgoing traffic. This influences both the diagram and the stats views.\n"
"</p>" ) );

    general_colors_incomingColorButton = new KColorButton( general_colorButtonGroup, "general_colors_incomingColorButton" );
    general_colors_incomingColorButton->setGeometry( QRect( 250, 20, 70, 30 ) ); 
    general_colors_incomingColorButton->setText( QString::null );

    general_colors_incomingLabel = new QLabel( general_colorButtonGroup, "general_colors_incomingLabel" );
    general_colors_incomingLabel->setGeometry( QRect( 10, 20, 200, 20 ) ); 
    general_colors_incomingLabel->setText( i18n( "Incoming traffic" ) );

    general_colors_outgoingLabel = new QLabel( general_colorButtonGroup, "general_colors_outgoingLabel" );
    general_colors_outgoingLabel->setGeometry( QRect( 10, 60, 200, 20 ) ); 
    general_colors_outgoingLabel->setText( i18n( "Outgoing traffic" ) );

    general_colors_outgoingColorButton = new KColorButton( general_colorButtonGroup, "general_colors_outgoingColorButton" );
    general_colors_outgoingColorButton->setGeometry( QRect( 250, 60, 70, 30 ) ); 
    general_colors_outgoingColorButton->setText( QString::null );

    general_unitButtonGroup = new QButtonGroup( generalTab, "general_unitButtonGroup" );
    general_unitButtonGroup->setGeometry( QRect( 10, 90, 330, 50 ) ); 
    general_unitButtonGroup->setTitle( i18n( "Unit" ) );
    QToolTip::add(  general_unitButtonGroup, i18n( "Unit" ) );
    QWhatsThis::add(  general_unitButtonGroup, i18n( "<b>Unit</b>\n"
"<p>\n"
"Set whether the stats are shown in bits or bytes per second.\n"
"</p>" ) );

    general_unit_bytesRadioButton = new QRadioButton( general_unitButtonGroup, "general_unit_bytesRadioButton" );
    general_unit_bytesRadioButton->setGeometry( QRect( 180, 20, 130, 20 ) ); 
    general_unit_bytesRadioButton->setText( i18n( "Bytes per second" ) );

    general_unit_bitsRadioButton = new QRadioButton( general_unitButtonGroup, "general_unit_bitsRadioButton" );
    general_unit_bitsRadioButton->setGeometry( QRect( 10, 20, 130, 20 ) ); 
    general_unit_bitsRadioButton->setText( i18n( "Bits per second" ) );
    tabWidget->insertTab( generalTab, i18n( "General" ) );

    diagramTab = new QWidget( tabWidget, "diagramTab" );

    diagram_deviceComboBox = new QComboBox( FALSE, diagramTab, "diagram_deviceComboBox" );
    diagram_deviceComboBox->setGeometry( QRect( 240, 20, 88, 22 ) ); 
    diagram_deviceComboBox->setEditable( TRUE );

    diagram_scalingComboBox = new QComboBox( FALSE, diagramTab, "diagram_scalingComboBox" );
    diagram_scalingComboBox->setGeometry( QRect( 240, 50, 88, 22 ) ); 
    diagram_scalingComboBox->setEditable( TRUE );

    diagram_deviceLabel = new QLabel( diagramTab, "diagram_deviceLabel" );
    diagram_deviceLabel->setGeometry( QRect( 10, 20, 200, 20 ) ); 
    diagram_deviceLabel->setText( i18n( "Device" ) );
    QToolTip::add(  diagram_deviceLabel, i18n( "Network device" ) );
    QWhatsThis::add(  diagram_deviceLabel, i18n( "<b>device</b>\n"
"<p>\n"
"Set the device to be monitored. If the device you look for is not in the list you can edit the field manually.\n"
"</p>" ) );

    diagram_graphStyleButtonGroup = new QButtonGroup( diagramTab, "diagram_graphStyleButtonGroup" );
    diagram_graphStyleButtonGroup->setGeometry( QRect( 10, 220, 160, 110 ) ); 
    diagram_graphStyleButtonGroup->setTitle( i18n( "Graph Style" ) );
    QToolTip::add(  diagram_graphStyleButtonGroup, i18n( "Graph style" ) );
    QWhatsThis::add(  diagram_graphStyleButtonGroup, i18n( "<b>Graph style</b>\n"
"<p>\n"
"Set the graph style. It determines whether the graph is drawn <b>shaded</b>, <b>solid</b> or with <b>lines</b>.\n"
"</p>" ) );

    diagram_graphStyle_shadedRadioButton = new QRadioButton( diagram_graphStyleButtonGroup, "diagram_graphStyle_shadedRadioButton" );
    diagram_graphStyle_shadedRadioButton->setGeometry( QRect( 10, 20, 130, 20 ) ); 
    diagram_graphStyle_shadedRadioButton->setText( i18n( "Shaded" ) );

    diagram_graphStyle_solidRadioButton = new QRadioButton( diagram_graphStyleButtonGroup, "diagram_graphStyle_solidRadioButton" );
    diagram_graphStyle_solidRadioButton->setGeometry( QRect( 10, 50, 130, 20 ) ); 
    diagram_graphStyle_solidRadioButton->setText( i18n( "Solid" ) );

    diagram_graphStyle_linesRadioButton = new QRadioButton( diagram_graphStyleButtonGroup, "diagram_graphStyle_linesRadioButton" );
    diagram_graphStyle_linesRadioButton->setGeometry( QRect( 10, 80, 130, 20 ) ); 
    diagram_graphStyle_linesRadioButton->setText( i18n( "Lines" ) );

    diagram_scalingModeButtonGroup = new QButtonGroup( diagramTab, "diagram_scalingModeButtonGroup" );
    diagram_scalingModeButtonGroup->setGeometry( QRect( 10, 130, 160, 80 ) ); 
    diagram_scalingModeButtonGroup->setTitle( i18n( "Scaling mode" ) );
    QToolTip::add(  diagram_scalingModeButtonGroup, i18n( "Scaling mode (determines how small traffic rates are drawn)" ) );
    QWhatsThis::add(  diagram_scalingModeButtonGroup, i18n( "<b>Scaling mode</b>\n"
"<p>\n"
"<b>Cubic root</b> means that the diagrams are drawn with the cubic root of each traffic value. The result is that small values are shown higher than they are.\n"
"<b>Normal</b> means just what it says.\n"
"</p>" ) );

    diagram_scalingMode_normalRadioButton = new QRadioButton( diagram_scalingModeButtonGroup, "diagram_scalingMode_normalRadioButton" );
    diagram_scalingMode_normalRadioButton->setGeometry( QRect( 10, 20, 130, 20 ) ); 
    diagram_scalingMode_normalRadioButton->setText( i18n( "Normal" ) );

    diagram_scalingMode_cbrtRadioButton = new QRadioButton( diagram_scalingModeButtonGroup, "diagram_scalingMode_cbrtRadioButton" );
    diagram_scalingMode_cbrtRadioButton->setGeometry( QRect( 10, 50, 130, 20 ) ); 
    diagram_scalingMode_cbrtRadioButton->setText( i18n( "Cubic root" ) );

    diagram_graphPositionButtonGroup = new QButtonGroup( diagramTab, "diagram_graphPositionButtonGroup" );
    diagram_graphPositionButtonGroup->setGeometry( QRect( 180, 130, 160, 80 ) ); 
    diagram_graphPositionButtonGroup->setTitle( i18n( "Graph position" ) );
    QToolTip::add(  diagram_graphPositionButtonGroup, i18n( "Graph position" ) );
    QWhatsThis::add(  diagram_graphPositionButtonGroup, i18n( "<b>Graph position</b>\n"
"<p>\n"
"<b>Top and bottom</b> means that the output graph is drawn on the top of the frame and the output graph on the bottom.<br>\n"
"With <b>Only bottom</b> the input graph is drawn on the bottom of the frame and the output graph on top of the input graph.\n"
"</p>" ) );

    diagram_graphPosition_topBottomRadioButton = new QRadioButton( diagram_graphPositionButtonGroup, "diagram_graphPosition_topBottomRadioButton" );
    diagram_graphPosition_topBottomRadioButton->setGeometry( QRect( 10, 20, 130, 20 ) ); 
    diagram_graphPosition_topBottomRadioButton->setText( i18n( "Top and bottom" ) );

    diagram_graphPosition_bottomRadioButton = new QRadioButton( diagram_graphPositionButtonGroup, "diagram_graphPosition_bottomRadioButton" );
    diagram_graphPosition_bottomRadioButton->setGeometry( QRect( 10, 50, 130, 20 ) ); 
    diagram_graphPosition_bottomRadioButton->setText( i18n( "Only bottom" ) );

    diagram_scalingLabel = new QLabel( diagramTab, "diagram_scalingLabel" );
    diagram_scalingLabel->setGeometry( QRect( 10, 50, 200, 20 ) ); 
    diagram_scalingLabel->setText( i18n( "Scaling (bits per second)" ) );
    QToolTip::add(  diagram_scalingLabel, i18n( "Scale factor (bits per second)" ) );
    QWhatsThis::add(  diagram_scalingLabel, i18n( "<b>Scaling</b>\n"
"<p>\n"
"Set the scaling of the diagrams (bits per second). It is a good idea to select the maximum throughput rate of your device. If none of the entries fits edit the field manually.\n"
"</p>" ) );

    diagram_showGridCheckBox = new QCheckBox( diagramTab, "diagram_showGridCheckBox" );
    diagram_showGridCheckBox->setGeometry( QRect( 10, 90, 200, 20 ) ); 
    diagram_showGridCheckBox->setText( i18n( "Show grid" ) );
    QToolTip::add(  diagram_showGridCheckBox, i18n( "Show grid" ) );
    QWhatsThis::add(  diagram_showGridCheckBox, i18n( "<b>Show grid</b>\n"
"<p>\n"
"Decide whether the diagram in the main frame should show a grid or not.\n"
"</p>" ) );
    tabWidget->insertTab( diagramTab, i18n( "Diagram" ) );

    mainFrameTab = new QWidget( tabWidget, "mainFrameTab" );

    mainFrame_transparentCheckBox = new QCheckBox( mainFrameTab, "mainFrame_transparentCheckBox" );
    mainFrame_transparentCheckBox->setGeometry( QRect( 10, 20, 200, 21 ) ); 
    mainFrame_transparentCheckBox->setText( i18n( "Transparent" ) );
    QToolTip::add(  mainFrame_transparentCheckBox, i18n( "Toggle transparency" ) );
    QWhatsThis::add(  mainFrame_transparentCheckBox, i18n( "<b>Transparent</b>\n"
"<p>\n"
"Toggle pseudo transparency for the main frame.\n"
"</p>" ) );

    mainFrame_showDecorationsCheckBox = new QCheckBox( mainFrameTab, "mainFrame_showDecorationsCheckBox" );
    mainFrame_showDecorationsCheckBox->setGeometry( QRect( 10, 50, 200, 21 ) ); 
    mainFrame_showDecorationsCheckBox->setText( i18n( "Show decorations" ) );
    QToolTip::add(  mainFrame_showDecorationsCheckBox, i18n( "Show decorations" ) );
    QWhatsThis::add(  mainFrame_showDecorationsCheckBox, i18n( "<b>Show decorations</b>\n"
"<p>\n"
"If this checkbox is not selected the main frame has no window decorations like titlebar and borders.\n"
"</p>" ) );

    mainFrame_showStatsBarCheckBox = new QCheckBox( mainFrameTab, "mainFrame_showStatsBarCheckBox" );
    mainFrame_showStatsBarCheckBox->setGeometry( QRect( 10, 110, 200, 21 ) ); 
    mainFrame_showStatsBarCheckBox->setText( i18n( "Show stats bar" ) );
    QToolTip::add(  mainFrame_showStatsBarCheckBox, i18n( "Show stats bar" ) );
    QWhatsThis::add(  mainFrame_showStatsBarCheckBox, i18n( "<b>Show stats bar</b>\n"
"<p>\n"
"Choose whether the small bar that shows the current traffic rate should be shown.\n"
"</p>" ) );

    mainFrame_colorGroupBox = new QGroupBox( mainFrameTab, "mainFrame_colorGroupBox" );
    mainFrame_colorGroupBox->setGeometry( QRect( 10, 140, 331, 100 ) ); 
    mainFrame_colorGroupBox->setTitle( i18n( "Colors" ) );
    QToolTip::add(  mainFrame_colorGroupBox, i18n( "Colors" ) );
    QWhatsThis::add(  mainFrame_colorGroupBox, i18n( "<b>Colors</b>\n"
"<p>\n"
"Set the colors for background and grid. \n"
"</p>" ) );

    mainFrame_bgColorColorButton = new KColorButton( mainFrame_colorGroupBox, "mainFrame_bgColorColorButton" );
    mainFrame_bgColorColorButton->setGeometry( QRect( 250, 20, 70, 30 ) ); 
    mainFrame_bgColorColorButton->setText( QString::null );

    mainFrame_gridColorColorButton = new KColorButton( mainFrame_colorGroupBox, "mainFrame_gridColorColorButton" );
    mainFrame_gridColorColorButton->setGeometry( QRect( 250, 60, 70, 30 ) ); 
    mainFrame_gridColorColorButton->setText( QString::null );

    mainFrame_bgColorLabel = new QLabel( mainFrame_colorGroupBox, "mainFrame_bgColorLabel" );
    mainFrame_bgColorLabel->setGeometry( QRect( 10, 20, 200, 20 ) ); 
    mainFrame_bgColorLabel->setText( i18n( "Background color" ) );

    mainFrame_gridColorLabel = new QLabel( mainFrame_colorGroupBox, "mainFrame_gridColorLabel" );
    mainFrame_gridColorLabel->setGeometry( QRect( 10, 60, 200, 20 ) ); 
    mainFrame_gridColorLabel->setText( i18n( "Grid color" ) );

    mainFrame_showTooltipsCheckBox = new QCheckBox( mainFrameTab, "mainFrame_showTooltipsCheckBox" );
    mainFrame_showTooltipsCheckBox->setGeometry( QRect( 10, 80, 200, 20 ) ); 
    mainFrame_showTooltipsCheckBox->setText( i18n( "Show tooltips" ) );
    QToolTip::add(  mainFrame_showTooltipsCheckBox, i18n( "Show tooltips" ) );
    QWhatsThis::add(  mainFrame_showTooltipsCheckBox, i18n( "<b>Show tooltips</b>\n"
"<p>\n"
"If this checkbox is enabled a tooltip is shown when you hold the mouse cursor on the main Frame. The tooltip shows the throughput rate of the device during a particular time.\n"
"</p>" ) );
    tabWidget->insertTab( mainFrameTab, i18n( "Main frame" ) );

    otherFramesTab = new QWidget( tabWidget, "otherFramesTab" );

    dockFrameGroupBox = new QGroupBox( otherFramesTab, "dockFrameGroupBox" );
    dockFrameGroupBox->setGeometry( QRect( 10, 10, 330, 130 ) ); 
    dockFrameGroupBox->setTitle( i18n( "Dock frame" ) );
    QToolTip::add(  dockFrameGroupBox, i18n( "dock frame" ) );
    QWhatsThis::add(  dockFrameGroupBox, i18n( "<b>Dock frame</b>\n"
"<p>\n"
"Select the background color and the grid color of the diagram in the dock frame.\n"
"</p>" ) );

    dockFrame_bgColorLabel = new QLabel( dockFrameGroupBox, "dockFrame_bgColorLabel" );
    dockFrame_bgColorLabel->setGeometry( QRect( 10, 20, 200, 20 ) ); 
    dockFrame_bgColorLabel->setText( i18n( "Background color" ) );

    dockFrame_bgColorColorButton = new KColorButton( dockFrameGroupBox, "dockFrame_bgColorColorButton" );
    dockFrame_bgColorColorButton->setGeometry( QRect( 250, 20, 68, 30 ) ); 
    dockFrame_bgColorColorButton->setText( QString::null );

    dockFrame_gridColorLabel = new QLabel( dockFrameGroupBox, "dockFrame_gridColorLabel" );
    dockFrame_gridColorLabel->setGeometry( QRect( 10, 60, 210, 30 ) ); 
    dockFrame_gridColorLabel->setText( i18n( "Grid color" ) );

    dockFrame_gridColorColorButton = new KColorButton( dockFrameGroupBox, "dockFrame_gridColorColorButton" );
    dockFrame_gridColorColorButton->setGeometry( QRect( 250, 60, 68, 30 ) ); 
    dockFrame_gridColorColorButton->setText( QString::null );

    dockFrame_showTextCheckBox = new QCheckBox( dockFrameGroupBox, "dockFrame_showTextCheckBox" );
    dockFrame_showTextCheckBox->setGeometry( QRect( 10, 100, 200, 20 ) ); 
    dockFrame_showTextCheckBox->setText( i18n( "Show text instead of diagram" ) );
    QToolTip::add(  dockFrame_showTextCheckBox, i18n( "Show text instead of diagram" ) );
    QWhatsThis::add(  dockFrame_showTextCheckBox, i18n( "<b>Show grid instead of diagram</b>\n"
"<p>\n"
"If this box is checked the dock frame shows the current traffic value instead of a diagram.\n"
"</p>" ) );

    statsFrameGroupBox = new QGroupBox( otherFramesTab, "statsFrameGroupBox" );
    statsFrameGroupBox->setGeometry( QRect( 10, 150, 330, 60 ) ); 
    statsFrameGroupBox->setTitle( i18n( "Stats frame" ) );
    QToolTip::add(  statsFrameGroupBox, i18n( "Stats frame" ) );
    QWhatsThis::add(  statsFrameGroupBox, i18n( "<b>Stats frame</b>\n"
"<p>\n"
"Set the background and the foreground color of the stats frame. The stats frame is the small window that shows some stats and popups when you middle-click on the dock or the main frame.\n"
"</p>" ) );

    statsFrame_bgColorLabel = new QLabel( statsFrameGroupBox, "statsFrame_bgColorLabel" );
    statsFrame_bgColorLabel->setGeometry( QRect( 10, 20, 200, 20 ) ); 
    statsFrame_bgColorLabel->setText( i18n( "Background color" ) );

    statsFrame_bgColorColorButton = new KColorButton( statsFrameGroupBox, "statsFrame_bgColorColorButton" );
    statsFrame_bgColorColorButton->setGeometry( QRect( 250, 20, 70, 30 ) ); 
    statsFrame_bgColorColorButton->setText( QString::null );
    tabWidget->insertTab( otherFramesTab, i18n( "Other frames" ) );
    PrefsDialogLayout->addWidget( tabWidget );

    Layout1 = new QHBoxLayout; 
    Layout1->setSpacing( 6 );
    Layout1->setMargin( 0 );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( spacer );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setText( i18n( "&OK" ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setText( i18n( "&Cancel" ) );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );
    PrefsDialogLayout->addLayout( Layout1 );

    // signals and slots connections
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( slotCheck() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
PrefsDialog::~PrefsDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

void PrefsDialog::slotCheck()
{
    qWarning( "PrefsDialog::slotCheck(): Not implemented yet!" );
}

#include "prefsdialog.moc"
