/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RESOURCES_H
#define RESOURCES_H

namespace Common
{
    enum MenuId {
        MENU_CLEAR, MENU_SHOW_DOCK, MENU_SHOW_MAIN, MENU_SHOW_STATS,
        MENU_LOAD, MENU_SAVE, MENU_SAVE_AS, MENU_PREFS, MENU_ABOUT, MENU_HELP,
        MENU_QUIT };
    enum Unit {
        UNIT_BIT, UNIT_BYTE };
    enum ScalingMode {
        MODE_NORMAL, MODE_CBRT };
    enum GraphPosition {
        POS_TOP_BOTTOM, POS_BOTTOM };
    enum GraphStyle {
        STYLE_SHADED, STYLE_SOLID, STYLE_LINES };
}

#endif
